# APPLEFloatPixels (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEFloatPixels

    java.lang.Object
      org.lwjgl.opengl.APPLEFloatPixels

    public final class APPLEFloatPixels

extends java.lang.Object

Field Summary
`static int` `GL_ALPHA_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_ALPHA_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_COLOR_FLOAT_APPLE` Accepted by the GetBooleanv:
`static int` `GL_HALF_APPLE` Accepted by the parameters of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:
`static int` `GL_INTENSITY_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_INTENSITY_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_ALPHA_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_ALPHA_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_LUMINANCE_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGB_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGB_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGBA_FLOAT16_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` `GL_RGBA_FLOAT32_APPLE` Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_HALF_APPLE

    public static final int GL_HALF_APPLE

  Accepted by the parameters of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

  See Also:
    Constant Field Values

### GL_COLOR_FLOAT_APPLE

    public static final int GL_COLOR_FLOAT_APPLE

  Accepted by the GetBooleanv:

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT32_APPLE

    public static final int GL_RGBA_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGB_FLOAT32_APPLE

    public static final int GL_RGB_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT32_APPLE

    public static final int GL_ALPHA_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT32_APPLE

    public static final int GL_INTENSITY_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT32_APPLE

    public static final int GL_LUMINANCE_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT32_APPLE

    public static final int GL_LUMINANCE_ALPHA_FLOAT32_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT16_APPLE

    public static final int GL_RGBA_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGB_FLOAT16_APPLE

    public static final int GL_RGB_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT16_APPLE

    public static final int GL_ALPHA_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT16_APPLE

    public static final int GL_INTENSITY_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT16_APPLE

    public static final int GL_LUMINANCE_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT16_APPLE

    public static final int GL_LUMINANCE_ALPHA_FLOAT16_APPLE

  Accepted by the parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.